rapidjson::UTF8< CharType > Struct Template Reference

UTF-8 encoding. More...

`#include <encodings.h>`

## Public Types

enum | { supportUnicode = 1 }
typedef CharType | Ch

## Static Public Member Functions

template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename OutputStream >
static void | EncodeUnsafe (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)
static unsigned char | GetRange (unsigned char c)
template<typename InputByteStream >
static CharType | TakeBOM (InputByteStream &is)
template<typename InputByteStream >
static Ch | Take (InputByteStream &is)
template<typename OutputByteStream >
static void | PutBOM (OutputByteStream &os)
template<typename OutputByteStream >
static void | Put (OutputByteStream &os, Ch c)

## Detailed Description

### template<typename CharType = char>
struct rapidjson::UTF8< CharType >

UTF-8 encoding.

http://en.wikipedia.org/wiki/UTF-8 http://tools.ietf.org/html/rfc3629

Template Parameters

  CharType | Code unit for storing 8-bit UTF-8 data. Default is char.

Note
  implements Encoding concept

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h